# Get a Text Replacement

```
GET 
/text-replacements/:id
```

Get a single Text Replacement.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Text Replacement.

## Operation spec

```json
{
  "method": "get",
  "path": "/text-replacements/{id}",
  "operationId": "get-user-text-replacement",
  "parameters": [
    {
      "name": "id",
      "description": "The unique identifier of the Text Replacement.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "responses": {
    "200": {
      "description": "Text Replacement.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Text replacement is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`) during dictation.",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique identifier of the Text Replacement."
              },
              "trigger": {
                "type": "string",
                "description": "The text which, if present in the dictation, will be automatically replaced with the replacement text.",
                "example": "Normal blood pressure"
              },
              "replacement": {
                "type": "string",
                "description": "The replacement text for this Text Replacement. If the Text Replacement's trigger is detected during dictation, this text will be automatically applied to the dictation result.",
                "example": "- Blood Pressure: 120/80 mmHg — within normal limits.\\n- No orthostatic change detected."
              }
            },
            "required": [
              "id",
              "trigger",
              "replacement"
            ],
            "title": "text_replacement"
          }
        }
      }
    }
  }
}
```
